<div id="dashboard-analytics" class="page-layout blank">

  <div class="content">

    <div class="left pr-12 pl-12">

      <div class="fuse-card auto-width">

        <div class="position-relative p-24"
             fxLayout="row" fxLayoutAlign="space-between center">
          <div fxLayout="column" fxLayoutAlign="start start">
            <span class="h2 text-bold">Deposits and Withdrawals</span>
          </div>
          <div fxLayout="row" fxLayoutAlign="start center">
            <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer"
                 (click)="widget5SelectedDay = 'year'"
                 [ngClass]="{'accent': widget5SelectedDay === 'year'}">
              Year
            </div>
            <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer"
                 (click)="widget5SelectedDay = 'month'"
                 [ngClass]="{'accent': widget5SelectedDay === 'month'}">
              Month
            </div>
            <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer"
                 (click)="widget5SelectedDay = 'yesterday'"
                 [ngClass]="{'accent': widget5SelectedDay === 'yesterday'}">
              Yesterday
            </div>
            <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer"
                 (click)="widget5SelectedDay = 'today'"
                 [ngClass]="{'accent': widget5SelectedDay === 'today'}">
              Today
            </div>
          </div>
        </div>

        <div class="position-relative h-368 pb-16">
          <canvas baseChart
                  [datasets]="widgets.widget5.datasets[widget5SelectedDay]"
                  [labels]="widgets.widget5.labels"
                  [colors]="widgets.widget5.colors"
                  [options]="widgets.widget5.options"
                  [chartType]="widgets.widget5.chartType">
          </canvas>
        </div>

      </div>

    </div>
  </div>

  <div class="content">
    <fuse-widget [@animate]="{value:'*',params:{y:'100%'}}" class="widget" fxLayout="column"
                 fxFlex="100" fxFlex.gt-sm="50">

      <div class="fuse-widget-front">

        <div class="px-16 py-8 border-bottom h-60" fxLayout="row"
             fxLayoutAlign="space-between center">
          <div class="h2 text-bold">Latest Deposits</div>
        </div>

        <div class="h-auto scroll-table">
          <table mat-table [dataSource]="depositLatest" multiTemplateDataRows>

            <ng-container matColumnDef="number">
              <th mat-header-cell *matHeaderCellDef> Number</th>
              <td mat-cell *matCellDef="let element"> {{element.number}} </td>
            </ng-container>

            <ng-container matColumnDef="orderNumber">
              <th mat-header-cell *matHeaderCellDef> Order Number</th>
              <td mat-cell *matCellDef="let element"> {{element.orderNumber}} </td>
            </ng-container>

            <ng-container matColumnDef="clientEmail">
              <th mat-header-cell *matHeaderCellDef> Client Email</th>
              <td mat-cell *matCellDef="let element"> {{element.clientEmail}} </td>
            </ng-container>

            <ng-container matColumnDef="depositAmount">
              <th mat-header-cell *matHeaderCellDef> Deposit Amount</th>
              <td mat-cell *matCellDef="let element"> {{element.depositAmount}} </td>
            </ng-container>

            <ng-container matColumnDef="depositCurrency">
              <th mat-header-cell *matHeaderCellDef> Deposit Currency</th>
              <td mat-cell *matCellDef="let element"> {{element.depositCurrency}} </td>
            </ng-container>

            <ng-container matColumnDef="settlementAmount">
              <th mat-header-cell *matHeaderCellDef> Settlement Amount</th>
              <td mat-cell *matCellDef="let element"> {{element.settlementAmount}} </td>
            </ng-container>

            <ng-container matColumnDef="settlementCurrency">
              <th mat-header-cell *matHeaderCellDef> Settlement Currency</th>
              <td mat-cell *matCellDef="let element"> {{element.settlementCurrency}} </td>
            </ng-container>

            <ng-container matColumnDef="status">
              <th mat-header-cell *matHeaderCellDef> Status</th>
              <td nowrap mat-cell *matCellDef="let element">
                <div class="text-badge"
                     [ngClass]="{'not-paid': element.status.toString().toLowerCase().includes('on pre-order (not paid)'),
                      'payment-accepted': element.status.toString().toLowerCase().includes('payment accepted'),
                      'payment-error': element.status.toString().toLowerCase() === 'payment error',
                      'delivered': element.status.toString().toLowerCase() === 'delivered',
                      'preparing-the-order': element.status.toString().toLowerCase() === 'preparing the order',
                      'awaiting-paypal-payment': element.status.toString().toLowerCase() === 'awaiting paypal payment',
                      'shipped': element.status.toString().toLowerCase() === 'shipped',
                      'remote-payment-accepted': element.status.toString().toLowerCase() === 'remote payment accepted'}">
                  {{element.status}}
                </div>
              </td>
            </ng-container>

            <ng-container matColumnDef="action">
              <th mat-header-cell class="border-col-end" *matHeaderCellDef> Action</th>
              <td mat-cell class="border-col-end" *matCellDef="let row">
                <div class="action-column">
                  <button mat-icon-button color="accent">
                    <mat-icon>edit</mat-icon>
                  </button>
                  <button mat-icon-button color="warn">
                    <mat-icon>delete</mat-icon>
                  </button>
                </div>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="depositLatestDisplayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: depositLatestDisplayedColumns;" class="custom-row"></tr>
          </table>
        </div>

        <div class="py-8 mh-16 border-top" fxLayout="row wrap" fxLayoutAlign="start center">

        </div>

      </div>

    </fuse-widget>

    <fuse-widget [@animate]="{value:'*',params:{y:'100%'}}" class="widget" fxLayout="column"
                 fxFlex="100" fxFlex.gt-sm="50">

      <div class="fuse-widget-front">

        <div class="px-16 py-8 border-bottom h-60" fxLayout="row"
             fxLayoutAlign="space-between center">
          <div class="h2 text-bold">Withdrawal Requests</div>

        </div>

        <div class="h-auto scroll-table">
          <table mat-table [dataSource]="withdrawalRequest" multiTemplateDataRows>

            <ng-container matColumnDef="type">
              <th mat-header-cell *matHeaderCellDef> Type</th>
              <td mat-cell *matCellDef="let element"> {{element.type}} </td>
            </ng-container>

            <ng-container matColumnDef="unionPayCardNumber">
              <th nowrap mat-header-cell *matHeaderCellDef>Card Number</th>
              <td mat-cell *matCellDef="let element"> {{element.unionPayCardNumber}} </td>
            </ng-container>

            <ng-container matColumnDef="unionPayClientName">
              <th nowrap mat-header-cell *matHeaderCellDef>Client Name</th>
              <td mat-cell *matCellDef="let element"> {{element.unionPayClientName}} </td>
            </ng-container>

            <ng-container matColumnDef="unionPayBankName">
              <th nowrap mat-header-cell *matHeaderCellDef>Bank Name</th>
              <td mat-cell *matCellDef="let element"> {{element.unionPayBankName}} </td>
            </ng-container>

            <ng-container matColumnDef="unionPayBankAddress">
              <th nowrap mat-header-cell *matHeaderCellDef>Bank Address</th>
              <td mat-cell *matCellDef="let element"> {{element.unionPayBankAddress}} </td>
            </ng-container>

            <ng-container matColumnDef="unionPayBankTelephone">
              <th nowrap mat-header-cell *matHeaderCellDef>Bank Telephone</th>
              <td mat-cell *matCellDef="let element"> {{element.unionPayBankTelephone}} </td>
            </ng-container>

            <ng-container matColumnDef="action">
              <th mat-header-cell class="border-col-end" *matHeaderCellDef> Action</th>
              <td mat-cell class="border-col-end" *matCellDef="let row">
                <div class="action-column">
                  <button mat-icon-button color="accent">
                    <mat-icon>edit</mat-icon>
                  </button>
                  <button mat-icon-button color="warn">
                    <mat-icon>delete</mat-icon>
                  </button>
                </div>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="withdrawalRequestDisplayColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: withdrawalRequestDisplayColumns;" class="custom-row"></tr>
          </table>
        </div>

        <div class="py-8 mh-16 border-top" fxLayout="row wrap" fxLayoutAlign="start center">

        </div>

      </div>

    </fuse-widget>
  </div>

  <div class="content">
    <fuse-widget [@animate]="{value:'*',params:{y:'100%'}}" class="widget" fxLayout="column"
                 fxFlex="100" fxFlex.gt-sm="50">

      <div class="fuse-widget-front">

        <div class="px-16 py-8 border-bottom h-60" fxLayout="row"
             fxLayoutAlign="space-between center">
          <div class="h2 text-bold">Change Requests</div>

        </div>

        <div class="h-auto scroll-table">
          <table mat-table [dataSource]="changeRequest" multiTemplateDataRows>

            <ng-container matColumnDef="email">
              <th mat-header-cell *matHeaderCellDef> Email</th>
              <td mat-cell *matCellDef="let element"> {{element.email}} </td>
            </ng-container>

            <ng-container matColumnDef="login">
              <th mat-header-cell *matHeaderCellDef> Login</th>
              <td mat-cell *matCellDef="let element"> {{element.login}} </td>
            </ng-container>

            <ng-container matColumnDef="type">
              <th mat-header-cell *matHeaderCellDef> Type</th>
              <td mat-cell *matCellDef="let element"> {{element.type}} </td>
            </ng-container>

            <ng-container matColumnDef="current">
              <th mat-header-cell *matHeaderCellDef> Current</th>
              <td mat-cell *matCellDef="let element"> {{element.current}} </td>
            </ng-container>

            <ng-container matColumnDef="requested">
              <th mat-header-cell *matHeaderCellDef> Requested</th>
              <td mat-cell *matCellDef="let element"> {{element.requested}} </td>
            </ng-container>

            <ng-container matColumnDef="balance">
              <th mat-header-cell *matHeaderCellDef> Balance</th>
              <td mat-cell *matCellDef="let element"> {{element.balance}} </td>
            </ng-container>

            <ng-container matColumnDef="status">
              <th mat-header-cell *matHeaderCellDef> Status</th>
              <td nowrap mat-cell *matCellDef="let element">
                <div class="text-badge"
                     [ngClass]="{'preparing-the-order': element.status.toString().toLowerCase().includes('pending approval'),
                      'payment-accepted': element.status.toString().toLowerCase().includes('approved')}">
                  {{element.status}}
                </div>
              </td>
            </ng-container>

            <ng-container matColumnDef="action">
              <th mat-header-cell class="border-col-end" *matHeaderCellDef> Action</th>
              <td mat-cell class="border-col-end" *matCellDef="let row">
                <div class="action-column">
                  <button mat-icon-button color="accent">
                    <mat-icon>edit</mat-icon>
                  </button>
                  <button mat-icon-button color="warn">
                    <mat-icon>delete</mat-icon>
                  </button>
                </div>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="changeRequestDisplayColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: changeRequestDisplayColumns;" class="custom-row"></tr>
          </table>
        </div>

        <div class="py-8 mh-16 border-top" fxLayout="row wrap" fxLayoutAlign="start center">

        </div>

      </div>

    </fuse-widget>

    <fuse-widget [@animate]="{value:'*',params:{y:'100%'}}" class="widget" fxLayout="column"
                 fxFlex="100" fxFlex.gt-sm="50">

      <div class="fuse-widget-front">

        <div class="px-16 py-8 border-bottom h-60" fxLayout="row"
             fxLayoutAlign="space-between center">
          <div class="h2 text-bold">Latest Users</div>

        </div>

        <div class="h-auto scroll-table">
          <table mat-table [dataSource]="usersLatest" multiTemplateDataRows>

            <ng-container matColumnDef="created">
              <th mat-header-cell *matHeaderCellDef> Created</th>
              <td mat-cell *matCellDef="let element"> {{element.created}} </td>
            </ng-container>

            <ng-container matColumnDef="firstName">
              <th mat-header-cell *matHeaderCellDef> First Name</th>
              <td mat-cell *matCellDef="let element"> {{element.firstName}} </td>
            </ng-container>

            <ng-container matColumnDef="lastName">
              <th mat-header-cell *matHeaderCellDef> Last Name</th>
              <td mat-cell *matCellDef="let element"> {{element.lastName}} </td>
            </ng-container>

            <ng-container matColumnDef="telephonePrimary">
              <th mat-header-cell *matHeaderCellDef> Telephone Primary</th>
              <td mat-cell *matCellDef="let element"> {{element.symbol}} </td>
            </ng-container>

            <ng-container matColumnDef="addressCountry">
              <th mat-header-cell *matHeaderCellDef> Address Country</th>
              <td mat-cell *matCellDef="let element"> {{element.addressCountry}} </td>
            </ng-container>

            <ng-container matColumnDef="lastLogin">
              <th mat-header-cell *matHeaderCellDef> Last Login</th>
              <td mat-cell *matCellDef="let element"> {{element.lastLogin}} </td>
            </ng-container>

            <ng-container matColumnDef="enabled">
              <th mat-header-cell *matHeaderCellDef> Enabled</th>
              <td mat-cell class="pt-4 text-center" *matCellDef="let element">
                <mat-icon color="accent" *ngIf="element.enabled">check_circle</mat-icon>
                <mat-icon color="warn" *ngIf="!element.enabled">cancel</mat-icon>
              </td>
            </ng-container>

            <ng-container matColumnDef="action">
              <th mat-header-cell class="border-col-end" *matHeaderCellDef> Action</th>
              <td mat-cell class="border-col-end" *matCellDef="let row">
                <div class="action-column">
                  <button mat-icon-button color="accent">
                    <mat-icon>edit</mat-icon>
                  </button>
                  <button mat-icon-button color="warn">
                    <mat-icon>delete</mat-icon>
                  </button>
                </div>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="usersLatestDisplayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: usersLatestDisplayedColumns;" class="custom-row"></tr>
          </table>
        </div>

        <div class="py-8 mh-16 border-top" fxLayout="row wrap" fxLayoutAlign="start center">

        </div>

      </div>

    </fuse-widget>
  </div>
</div>
